<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (C) 2003-2013 eXo Platform SAS.

    This is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 3 of
    the License, or (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this software; if not, write to the Free
    Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
    02110-1301 USA, or see the FSF site: http://www.fsf.org.

-->
<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://www.exoplaform.org/xml/ns/kernel_1_2.xsd http://www.exoplaform.org/xml/ns/kernel_1_2.xsd"
               xmlns="http://www.exoplaform.org/xml/ns/kernel_1_2.xsd">

  <external-component-plugins>
    <target-component>org.exoplatform.services.organization.OrganizationService</target-component>
      <component-plugin>
        <name>init.service.listener</name>
        <set-method>addListenerPlugin</set-method>
        <type>org.exoplatform.services.organization.OrganizationDatabaseInitializer</type>
        <description>this listener populate organization data for the first launch</description>
        <init-params>
          <value-param>
            <name>checkDatabaseAlgorithm</name>
            <description>check database</description>
            <value>entry</value>
          </value-param>
          <value-param>
            <name>printInformation</name>
            <description>Print information init database</description>
            <value>false</value>
          </value-param>
          <object-param>
            <name>configuration</name>
            <description>description</description>
            <object type="org.exoplatform.services.organization.OrganizationConfig">
              <field name="group">
                <collection type="java.util.ArrayList">
                  <value>
                    <object type="org.exoplatform.services.organization.OrganizationConfig$Group">
                      <field name="parentId">
                        <string/>
                      </field>
                      <field name="description">
                        <string>the /Customers group</string>
                      </field>
                      <field name="name">
                        <string>${exo.organization.customers.group:customers}</string>
                      </field>
                      <field name="label">
                        <string>Customers group</string>
                      </field>
                    </object>
                  </value>
                  <value>
                    <object type="org.exoplatform.services.organization.OrganizationConfig$Group">
                      <field name="parentId">
                        <string/>
                      </field>
                      <field name="description">
                        <string> Support Management group</string>
                      </field>
                      <field name="name">
                        <string>${exo.organization.support.management.group:gss}</string>
                      </field>
                      <field name="label">
                        <string>Support Management</string>
                      </field>
                    </object>
                  </value>
                  <value>
                    <object type="org.exoplatform.services.organization.OrganizationConfig$Group">
                      <field name="parentId">
                        <string/>
                      </field>
                      <field name="description">
                        <string>the Global Support Services group</string>
                      </field>
                      <field name="name">
                        <string>${exo.organization.support.group:support-team}</string>
                      </field>
                      <field name="label">
                        <string>Support Services</string>
                      </field>
                    </object>
                  </value>
                </collection>
              </field>

              <field name="user">
                <collection type="java.util.ArrayList">
                  <value>
                  <object type="org.exoplatform.services.organization.OrganizationConfig$User">
                    <field name="userName">
                      <string>${exo.organization.support.user:support}</string>
                    </field>
                    <field name="password">
                      <string>eXo@Support~2009</string>
                    </field>
                    <field name="firstName">
                      <string>eXo</string>
                    </field>
                    <field name="lastName">
                      <string>Helpdesk</string>
                    </field>
                    <field name="email">
                      <string>support@exoplatform.com</string>
                    </field>
                    <field name="groups">
                      <string>*:/platform/users,*:/${exo.organization.support.management.group:gss},*:/${exo.organization.support.group:support-team}</string>
                    </field>
                  </object>
                </value>
                </collection>
              </field>
            </object>
          </object-param>
        </init-params>
      </component-plugin>
  </external-component-plugins>
</configuration>
